Unassign contacts from an audience
POST
/v1/audiences/{audience_id}/contacts/remove
await bird.audiences.removeContacts("adn_01krdgeqcxet5s7t44vh8rt9mg", {
contact_ids: ["con_01krdgeqcxet5s7t44vh8rt9mg"],
});client.audiences.remove_contacts(
"adn_01krdgeqcxet5s7t44vh8rt9mg", contact_ids=["con_01krdgeqcxet5s7t44vh8rt9mg"],
)err = client.Audiences.RemoveContacts(context.Background(), "adn_123", bird.AudienceRemoveContactsParams{
ContactIDs: []string{"con_1", "con_2"},
})
if err != nil {
log.Fatal(err)
}$bird->audiences->removeContacts(
'adn_01krdgeqcxet5s7t44vh8rt9mg',
(new AudienceContactsRemoveRequest())->setContactIds(['con_01krdgeqcxet5s7t44vh8rt9mg']),
);bird audiences remove-contacts <audience-id> \
--contact-ids con_01krdgeqcxet5s7t44vh8rt9mgcurl -X POST "https://us1.platform.bird.com/v1/audiences/{audience_id}/contacts/remove" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"contact_ids": [
"con_01krdgeqcxet5s7t44vh8rt9mg"
]
}'Removes up to 1,000 contacts from an audience. Contacts that are not members are skipped. If any contact ID does not exist in the workspace, the whole request fails with 422 Unprocessable Entity and no memberships are removed. The contacts themselves are not deleted and remain members of any other audiences.
Parámetros
audience_id
string
ID of the audience to remove contacts from.
Cuerpo de la solicitud
contact_ids
array of string
obligatorio
Contacts to remove from the audience. Removing a contact that is not a member has no effect. Duplicate IDs in the list are collapsed. If any ID does not exist in the workspace, the whole request fails with a validation error and no memberships are removed.
Recursos relacionados
Continúa con la documentación, guías y ejemplos sobre este tema. Los recursos están en inglés.
Ver la guíaManage your customers: contacts & audiencesExplorar la funcionalidadContacts and audiencesSeguir la ruta de aprendizajeBuild your first integrationGuía de implementaciónAudiences
Obtener un resumen de implementación